Bug 20485 - не работает библиотека libx264
: не работает библиотека libx264
Status: NEW
: ALT Linux Desktop
(All bugs in ALT Linux Desktop/bugs)
: 4.1.0
: x86 Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-06-18 03:09 by
Modified: 2009-06-21 00:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-18 03:09:18
Не работает библиотека libx264. При попытке преобразовать видео (например в
avidemux), создается файл нулевого размера.

Конец вывода с консоли такой:
*********** BACKTRACK **************
Frame  0: avidemux(ADM_backTrack+0x4b) [0x8666eab]
Frame  1: avidemux(_Z20sig_segfault_handleri+0x2d) [0x86672bd]
        <sig_segfault_handler>()
Frame  2: [0xb7f29400]
Frame  3: /usr/lib/libx264.so.0 [0xb715fbd8]
Frame  4: [0xbfe32af0]
*********** BACKTRACK **************

Пакеты libx264-0.59-alt0.20080418.1 avidemux-2.4.1-alt1

Примерно такая же история при использовании kino-1.3.2-alt1.M41.1

Пересобирал пакет x264-0.59-alt0.20080418.1.src.rpm сам, тогда, после
обновления libx264-0.59-alt0.20080418.1 на пересобранный пакет, библиотека
libx264 работает (по крайней мере с avidemux). Более подробно описал на форуме
в обсуждении desktop.
------- Comment #1 From 2009-06-19 01:04:12 -------
Пересобрал тот-же пакет еще пару раз и выяснилось, что если собирать с yasm
библиотека libx264 не работает, если собирать без yasm то в avidemux она
работает а в kino -- нет.
------- Comment #2 From 2009-06-21 00:17:47 -------
Далее выяснилось, что сам yasm не виноват. Исключение патча
x264-20080319-yasm.patch решает проблему. После обновления на бранч 4.1 пакетов
ffmpeg и сопутствующих формат x264 стал нормально кодироваться и в kino.